#!/bin/bash

# Check if the first parameter is provided
if [ -z "$1" ]; then
    echo "Error: Semantic version parameter is required."
    echo "Usage: $0 <semantic_version>"
    exit 1
fi

echo "Building Lurana Open Source version $1"

# Install Node.js 14
curl -o- https://raw.githubusercontent.com/nvm-sh/nvm/v0.39.1/install.sh | bash 
export NVM_DIR="$HOME/.nvm" 
[ -s "$NVM_DIR/nvm.sh" ] && \. "$NVM_DIR/nvm.sh"     
nvm install 14


# Update and install Composer dependencies
composer update
composer install

echo "Building Laravel+Vue "

nvm use 14
node -v 
npm install 
npm run dev 
ls -lhs workflow/public_html/webapp

# Construct the Docker image tag name
tagname="gitlab.luranasoft.com:5050/luos/core/luos:$1"
echo "Docker tag name: $tagname"

# Build the Docker image using the new tag name
docker build -t "$tagname" -f ./docker/Dockerfile .

# Push the Docker image to the repository
docker push "$tagname"

echo "Build and push completed successfully."